Groovy 1.7.10

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyDoc

    public interface GroovyDoc
    extends Comparable

Method Summary
`String` | `commentText()`
`String` | `firstSentenceCommentText()`
`String` | `getRawCommentText()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isDeprecated()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`String` | `name()`
`void` | `setRawCommentText(String arg0)`

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### commentText

    public String commentText()

### firstSentenceCommentText

    public String firstSentenceCommentText()

### getRawCommentText

    public String getRawCommentText()

### isAnnotationType

    public boolean isAnnotationType()

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

### isClass

    public boolean isClass()

### isConstructor

    public boolean isConstructor()

### isDeprecated

    public boolean isDeprecated()

### isEnum

    public boolean isEnum()

### isEnumConstant

    public boolean isEnumConstant()

### isError

    public boolean isError()

### isException

    public boolean isException()

### isField

    public boolean isField()

### isIncluded

    public boolean isIncluded()

### isInterface

    public boolean isInterface()

### isMethod

    public boolean isMethod()

### isOrdinaryClass

    public boolean isOrdinaryClass()

### name

    public String name()

### setRawCommentText

    public void setRawCommentText(String arg0)

Copyright © 2003-2010 The Codehaus. All rights reserved.